如何支持双核

为当前最终发行版之前的所有版本提供支持
回复
gaussanderson
帖子: 8
注册时间: 2006-09-05 19:19
送出感谢: 0
接收感谢: 0

如何支持双核

#1

帖子 gaussanderson » 2006-09-05 19:31

我是在IBM thinkpad R60上安装好我的ubuntu 6.06 desktop的。一切硬件都已经正常工作了,但是R60配备的是Intel Core Duo T2300E,而现在我安装的内核:

代码: 全选

uname -a
Linux localhost 2.6.15-26-386 #1 PREEMPT Thu Aug 3 02:52:00 UTC 2006 i686 GNU/Linux
貌似不是支持多核的。如果我要使它完全正常工作,是不是要安装smp的内核?有没有在Intel core duo上安装linux并完全工作的朋友,能不能分享一下经验?我在google上没有得到充分的信息,只知道IBM T60,配备Intel Core Duo T2400,T2300安装的是suse,所以我相信多核是支持的。有谁能点拨一下吗?
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#2

帖子 BigSnake.NET » 2006-09-05 21:06

装带smp的内核
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
头像
patrickhe
帖子: 681
注册时间: 2005-07-21 19:13
来自: Peking, China
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 patrickhe » 2006-09-05 23:57

sudo apt-get install linux-686-smp
头像
planetkurt
帖子: 25
注册时间: 2006-09-04 15:49
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 planetkurt » 2006-09-06 8:20

请问还有什么别的版本的SMP内核吗?我的机器是双至强3.0的CPU,6G内存
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#5

帖子 BigSnake.NET » 2006-09-06 12:55

686的就可以了
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
gaussanderson
帖子: 8
注册时间: 2006-09-05 19:19
送出感谢: 0
接收感谢: 0

#6

帖子 gaussanderson » 2006-09-06 13:18

已经正常工作了,谢谢大家。
codeplexor
帖子: 2
注册时间: 2007-01-25 10:59
送出感谢: 0
接收感谢: 0

#7

帖子 codeplexor » 2007-02-15 9:17

如果你要看是否真的已经用上Dual Core了, 用下面的command

代码: 全选

cat /proc/cpuinfo
如果正常的话会看到:

代码: 全选

processor : 0
processor : 1
还有一堆信息,没识别的话只能看到processor 0
头像
booker
帖子: 116
注册时间: 2006-04-22 10:50
来自: Mito
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 booker » 2007-02-15 21:33

patrickhe 写了:sudo apt-get install linux-686-smp
这个貌似其实装的是686的generic内核。不过是支持smp的。

顺便贴上我的

代码: 全选

uname -a

Linux ubuntu 2.6.20 #1 SMP Wed Feb 7 21:28:32 JST 2007 i686 GNU/Linux
CPU是Core Duo T2600的
Ubuntu only now on Dell XPS M1710
回复

回到 “老旧版本支持”